Package com.sun.mail.imap

## Class IMAPFolder.FetchProfileItem

- java.lang.Object
- - javax.mail.FetchProfile.Item
  - - com.sun.mail.imap.IMAPFolder.FetchProfileItem

Enclosing class:
  IMAPFolder

    public static class IMAPFolder.FetchProfileItem
    extends FetchProfile.Item

A fetch profile item for fetching headers. This inner class extends the `FetchProfile.Item` class to add new FetchProfile item types, specific to IMAPFolders.

See Also:
  `FetchProfile`

### Field Summary

Fields
`static IMAPFolder.FetchProfileItem` `HEADERS` HEADERS is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.
`static IMAPFolder.FetchProfileItem` `INTERNALDATE` INTERNALDATE is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.
`static IMAPFolder.FetchProfileItem` `MESSAGE` MESSAGE is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.
`static IMAPFolder.FetchProfileItem` `SIZE` Deprecated.

### Fields inherited from class javax.mail.FetchProfile.Item

`CONTENT_INFO, ENVELOPE, FLAGS`

### Constructor Summary

Constructors
`protected` `FetchProfileItem​(String name)`

### Method Summary

### Methods inherited from class javax.mail.FetchProfile.Item

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### HEADERS

    public static final IMAPFolder.FetchProfileItem HEADERS

HEADERS is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the headers for messages in the specified range are desired to be prefetched.

An example of how a client uses this is below:

>             FetchProfile fp = new FetchProfile();
>             fp.add(IMAPFolder.FetchProfileItem.HEADERS);
>             folder.fetch(msgs, fp);

#### SIZE

    @Deprecated
    public static final IMAPFolder.FetchProfileItem SIZE

Deprecated.
SIZE is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the sizes of the messages in the specified range are desired to be prefetched.

SIZE was moved to FetchProfile.Item in JavaMail 1.5.

#### MESSAGE

    public static final IMAPFolder.FetchProfileItem MESSAGE

MESSAGE is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the entire messages (headers and body, including all "attachments") in the specified range are desired to be prefetched. Note that the entire message content is cached in memory while the Folder is open. The cached message will be parsed locally to return header information and message content.

An example of how a client uses this is below:

>             FetchProfile fp = new FetchProfile();
>             fp.add(IMAPFolder.FetchProfileItem.MESSAGE);
>             folder.fetch(msgs, fp);

Since:
  JavaMail 1.5.2

#### INTERNALDATE

    public static final IMAPFolder.FetchProfileItem INTERNALDATE

INTERNALDATE is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the IMAP INTERNALDATE values (received date) of the messages in the specified range are desired to be prefetched.

An example of how a client uses this is below:

>             FetchProfile fp = new FetchProfile();
>             fp.add(IMAPFolder.FetchProfileItem.INTERNALDATE);
>             folder.fetch(msgs, fp);

Since:
  JavaMail 1.5.5

### Constructor Detail

#### FetchProfileItem

    protected FetchProfileItem​(String name)